# spareg

**spareg** is an R package for building ensembles of predictive generalized linear models tailored for high-dimensional data. It leverages a powerful combination of **variable screening** and **random projection** techniques to efficiently tackle large-scale modeling problems.

[![CRAN Status](https://www.r-pkg.org/badges/version/spareg)](https://CRAN.R-project.org/package=spareg)

---

## Features

- Efficient modeling with **large predictor sets**
- Modular S3 architecture for screening and projection techniques
- Competitive predictive performance with **low computational cost**
- Extensible framework for custom screening and projection methods

---

## Installation

You can install the development version of `spareg` from GitHub:

```r
# install.packages("devtools")
devtools::install_github("lauravana/spareg")
```

The CRAN version can be installed with 

```r
install.packages("spareg")
```
