% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/spareg.R
\name{predict.spar}
\alias{predict.spar}
\title{predict.spar}
\usage{
\method{predict}{spar}(
  object,
  xnew = NULL,
  type = c("response", "link"),
  avg_type = c("link", "response"),
  nummod = NULL,
  nu = NULL,
  aggregate = c("mean", "median"),
  ...
)
}
\arguments{
\item{object}{result of spar function of class  \code{'spar'}.}

\item{xnew}{matrix of new predictor variables; must have same number of columns as  \code{x}.}

\item{type}{the type of required predictions; either on response level (default) or on link level}

\item{avg_type}{type of averaging the marginal models; either on link (default) or on response level}

\item{nummod}{number of models used to form coefficients; value with minimal validation measure is used if not provided.}

\item{nu}{threshold level used to form coefficients; value with minimal validation measure is used if not provided.}

\item{aggregate}{character one of c("mean", "median");
the aggregation over the ensembles is done using the specified method (mean or median).
Defaults to mean aggregation.}

\item{...}{further arguments passed to or from other methods}
}
\value{
Vector of predictions
}
\description{
Predict responses for new predictors from \code{'spar'} object
}
